MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032603Open CASCADE[OCCT] OCCT:Codingpublic2021-10-02 09:572021-10-12 10:42
Reporteraml 
Assigned Tosmoskvin 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032603: Coding - get rid of unsused forward declarations [Adaptor2d to BRepMesh]
Descriptioninclude-what-you-use is a great tool for code health improvement. It allows for detecting unused headers and forward declarations.

Packages from Adaptor2d to BRepMesh (inclusively) are processed in this ticket.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0032615newaml Coding - get rid of unused forward declarations 

-  Notes
(0104473)
git (administrator)
2021-10-02 10:00

Branch CR32603 has been created by aml.

SHA-1: deb2e38a5585b03d9f66c5e3bb52e883e58e71a3


Detailed log of new commits:

Author: aml
Date: Sat Oct 2 09:38:32 2021 +0300

    0032603: Coding - get rid of unsused forward declarations
    
    Packages from Adaptor2d to BRepMesh are processed.
(0104489)
git (administrator)
2021-10-02 12:05

Branch CR32603 has been updated forcibly by aml.

SHA-1: 11ddb19253031b550fca53d28cccd68bf90ed1b0
(0104490)
aml (developer)
2021-10-02 15:42

Kirill, please take a look at the CR32603 branch. Testing results are here:

http://jenkins-test-occt/view/CR32603-master-aml/view/COMPARE/ [^]

The error seems to be caused by instability.
(0104561)
smoskvin (administrator)
2021-10-09 12:06

Combination -
OCCT branch : IR-2021-10-08
master SHA - 56b495d93bc70a96c9f07a6025b83e2e5e70eef7
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-10-08 SHA - fe10ebabd09fbeb2e94180b50cd581aa0612d135
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17935.650000000136 / 17754.63000000043 [+1.02%]
Products
Total CPU difference: 11611.53000000011 / 11405.930000000111 [+1.80%]
Windows-64-VC14:
OCCT
Total CPU difference: 19689.8125 / 19680.3125 [+0.05%]
Products
Total CPU difference: 12938.8125 / 12772.859375 [+1.30%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0104574)
git (administrator)
2021-10-09 12:36

Branch CR32603 has been deleted by mnt.

SHA-1: 11ddb19253031b550fca53d28cccd68bf90ed1b0

- Related Changesets
occt: master c2064b60
Timestamp: 2021-10-02 06:38:32
Author: aml
Committer: smoskvin
Details ] Diff ]
0032603: Coding - get rid of unsused forward declarations

Packages from Adaptor2d to BRepMesh are processed.
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_InteractiveObject.hxx Diff ] File ]
mod - src/AIS/AIS_LightSource.hxx Diff ] File ]
mod - src/AIS/AIS_Plane.hxx Diff ] File ]
mod - src/AIS/AIS_ViewController.hxx Diff ] File ]
mod - src/BinDrivers/BinDrivers.hxx Diff ] File ]
mod - src/BinMDataXtd/BinMDataXtd.hxx Diff ] File ]
mod - src/BinMNaming/BinMNaming.hxx Diff ] File ]
mod - src/BinMXCAFDoc/BinMXCAFDoc.hxx Diff ] File ]
mod - src/BiTgte/BiTgte_Blend.hxx Diff ] File ]
mod - src/BiTgte/BiTgte_CurveOnEdge.hxx Diff ] File ]
mod - src/BiTgte/BiTgte_CurveOnVertex.hxx Diff ] File ]
mod - src/Blend/Blend_AppFunction.hxx Diff ] File ]
mod - src/Blend/Blend_CSFunction.hxx Diff ] File ]
mod - src/Blend/Blend_Function.hxx Diff ] File ]
mod - src/Blend/Blend_Point.hxx Diff ] File ]
mod - src/Blend/Blend_RstRstFunction.hxx Diff ] File ]
mod - src/Blend/Blend_SurfRstFunction.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Chamfer.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ChAsym.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstRad.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstThroat.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_ConstThroatWithPenetration.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_EvolRad.hxx Diff ] File ]
mod - src/BlendFunc/BlendFunc_Tensor.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_ArgumentAnalyzer.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BOP.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Builder.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_BuilderFace.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_CheckResult.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_MakerVolume.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_PaveFiller.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_Section.hxx Diff ] File ]
mod - src/BOPAlgo/BOPAlgo_WireSplitter.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_Iterator.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_PaveBlock.hxx Diff ] File ]
mod - src/BOPDS/BOPDS_SubIterator.hxx Diff ] File ]
mod - src/BOPTest/BOPTest.hxx Diff ] File ]
mod - src/BOPTest/BOPTest_DrawableShape.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_AlgoTools2D.hxx Diff ] File ]
mod - src/BOPTools/BOPTools_Set.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_AsDes.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_FaceRestrictor.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Image.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_Loop.hxx Diff ] File ]
mod - src/BRepAlgo/BRepAlgo_NormalProjection.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppFunc.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppFuncRoot.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppFuncRst.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppFuncRstRst.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_AppSurface.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_CurvPointRadInv.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Extremity.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_Line.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_PointOnRst.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_RstRstLineBuilder.hxx Diff ] File ]
mod - src/BRepBlend/BRepBlend_SurfRstLineBuilder.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePipe.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePrism.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.hxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_SplitShape.hxx Diff ] File ]
mod - src/BRepFill/BRepFill.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_ApproxSeewing.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_CompatibleWires.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_CurveConstraint.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Draft.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_EdgeFaceAndOrder.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Evolved.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_FaceAndOrder.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Generator.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_LocationLaw.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_MultiLine.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetAncestors.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_OffsetWire.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Pipe.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_PipeShell.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Section.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_SectionPlacement.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_ShapeLaw.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_Sweep.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimEdgeTool.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimShellCorner.hxx Diff ] File ]
mod - src/BRepFill/BRepFill_TrimSurfaceTool.hxx Diff ] File ]
mod - src/BRepFilletAPI/BRepFilletAPI_MakeChamfer.hxx Diff ] File ]
mod - src/BRepFilletAPI/BRepFilletAPI_MakeFillet.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_BaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ConstrainedBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CurveTessellator.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CustomBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Deflection.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DelabellaBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DelaunayBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_GeomTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeVisitor.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-10-02 09:57 aml New Issue
2021-10-02 09:57 aml Assigned To => aml
2021-10-02 10:00 git Note Added: 0104473
2021-10-02 12:05 git Note Added: 0104489
2021-10-02 15:42 aml Note Added: 0104490
2021-10-02 15:42 aml Assigned To aml => kgv
2021-10-02 15:42 aml Status new => resolved
2021-10-02 15:42 aml Steps to Reproduce Updated View Revisions
2021-10-02 22:21 kgv Assigned To kgv => bugmaster
2021-10-02 22:21 kgv Status resolved => reviewed
2021-10-02 22:21 kgv Product Version 7.7.0 => 7.5.0
2021-10-02 22:21 kgv Severity minor => integration request
2021-10-09 12:06 smoskvin Note Added: 0104561
2021-10-09 12:06 smoskvin Status reviewed => tested
2021-10-09 12:09 smoskvin Test case number => Not required
2021-10-09 12:31 smoskvin Changeset attached => occt master c2064b60
2021-10-09 12:31 smoskvin Assigned To bugmaster => smoskvin
2021-10-09 12:31 smoskvin Status tested => verified
2021-10-09 12:31 smoskvin Resolution open => fixed
2021-10-09 12:36 git Note Added: 0104574
2021-10-12 10:41 aml Relationship added related to 0032615
2021-10-12 10:42 kgv Summary Coding - get rid of unsused forward declarations => Coding - get rid of unsused forward declarations [Adaptor2d to BRepMesh]
2021-10-12 10:42 kgv Relationship replaced child of 0032615


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker